Hacking Deleted a patch but now Switch is asking me to update. Help.

Rewinding

Member
OP
Newcomer
Joined
Sep 5, 2021
Messages
12
Trophies
0
Age
31
XP
9
Country
United States
I wanted to update my Stardew Valley game from 1.4.4 to 1.5.4 (newest patch). I installed the new update and my game refused to start. Turns out you need the newest firmware for the patch and game to work. I decided to delete the game and reinstall it with the previous patch (1.4.4) but now my Switch is saying "a new update is required" promt and won't let me continue to start the game.

It seems the Switch has already recognized that 1.5.4 was the last current patch installed and won't recognize anything lower. I even deleted the save data in the settings and deleted the save folder in checkpoint, but nothing. Any way to go back or am I screwed? Thx.
 
Last edited by Rewinding,

Hayato213

( -_・) ︻デ═一' * (/❛o❛)/
Member
Joined
Dec 26, 2015
Messages
10,569
Trophies
1
Location
Vector Industry
XP
5,465
Country
United States
Time to update your firmware, and CFW files, 9.1.0 is kind of low firmware now a day, that probably why your game doesn't work.

https://gbatemp.net/threads/how-to-hekate-chainload-vanilla-atmos.563255/

https://github.com/Atmosphere-NX/Atmosphere/releases/tag/0.20.1
https://github.com/CTCaer/hekate/releases/tag/v5.6.0
https://github.com/ITotalJustice/patches/releases/tag/12.1.0-0.20.1

Use hekate usb mounting feature and manually replace hekate/atmosphere files and the patches, then update firmware using daybreak, you can source your firmware files from that darthsternie site.
 

Rewinding

Member
OP
Newcomer
Joined
Sep 5, 2021
Messages
12
Trophies
0
Age
31
XP
9
Country
United States
Time to update your firmware, and CFW files, 9.1.0 is kind of low firmware now a day, that probably why your game.

Use hekate usb mounting feature and manually replace hekate/atmosphere files and the patches, then update firmware using daybreak, you can source your firmware files from that darthsternie site.

I'm not the person who worked on the Switch, I'm stuck using what I have for the time being. He taught me how to install games and updates using goldleaf. The game worked before I updated. Its just not letting me play using the previous patch.
 
Last edited by Rewinding,

Hayato213

( -_・) ︻デ═一' * (/❛o❛)/
Member
Joined
Dec 26, 2015
Messages
10,569
Trophies
1
Location
Vector Industry
XP
5,465
Country
United States
I'm not the person who worked on the Switch, I'm stuck using what I have for the time being. He taught me how to install games and updates using goldleaf. The game worked before I updated. Its just not letting me play using the previous patch.

If you want to get the previous update to work, you need to delete 1.54 ticket after getting rid of the update, or it won't allow you to use lower update, long term you are better off learning how to do firmware update, update cfw files etc.
 

Rewinding

Member
OP
Newcomer
Joined
Sep 5, 2021
Messages
12
Trophies
0
Age
31
XP
9
Country
United States
If you want to get the previous update to work, you need to delete 1.54 ticket after getting rid of the update, or it won't allow you to use lower update, long term you are better off learning how to do firmware update, update cfw files etc.

Where do I delete the ticket? And yes, we will certently update everything when he comes back home.
 

Kallrkyle

Well-Known Member
Member
Joined
Jul 23, 2021
Messages
201
Trophies
0
Age
50
XP
199
Country
Denmark
If you don't know how to update you FW, i don't belive its such a good idea to start fifling with deleting tickets
 

Tokiwa

Well-Known Member
Member
Joined
Jul 2, 2017
Messages
123
Trophies
0
Age
24
XP
800
Country
Brazil
There is a feature called "Reset launch version" in Goldleaf, use that and you should be able to boot the game with your previous update. But i believe it only works on version 0.9, anything lower seems to be bugged.

You can also do that with DBI, it has a "Reset required version" under the "Browse installed applications" menu:

https://github.com/rashevskyv/dbi/blob/main/README_ENG.md#title-context-menu

Consider updating your CFW files (including sigpatches) and firmware though, you can use the AIO-switch-updater for that.
 
  • Like
Reactions: Odilant

Odilant

Member
Newcomer
Joined
Jul 16, 2021
Messages
7
Trophies
0
Age
21
XP
21
Country
Spain
There is a feature called "Reset launch version" in Goldleaf, use that and you should be able to boot the game with your previous update. But i believe it only works on version 0.9, anything lower seems to be bugged.

You can also do that with DBI, it has a "Reset required version" under the "Browse installed applications" menu:

https://github.com/rashevskyv/dbi/blob/main/README_ENG.md#title-context-menu

Consider updating your CFW files (including sigpatches) and firmware though, you can use the AIO-switch-updater for that.

I second, Reset launch version in Goldleaf works.
 

Rewinding

Member
OP
Newcomer
Joined
Sep 5, 2021
Messages
12
Trophies
0
Age
31
XP
9
Country
United States
Goldleaf can delete the ticket all thats required is knowing where you installed the update, SD or the switch itself

We install everything on the SD card. I tried using HGB/tinfoil to delete the update ticket, but it didnt do anything, the switch wanted to connect to the internet to check if content was playable. I also deleted the game ticket as well and redownlaoded everything but still asks "game update required".

I currently have Goldleaf version 0.5. Which version should I update to?
 

Rewinding

Member
OP
Newcomer
Joined
Sep 5, 2021
Messages
12
Trophies
0
Age
31
XP
9
Country
United States
There is a feature called "Reset launch version" in Goldleaf, use that and you should be able to boot the game with your previous update. But i believe it only works on version 0.9, anything lower seems to be bugged.

You can also do that with DBI, it has a "Reset required version" under the "Browse installed applications" menu:


Consider updating your CFW files (including sigpatches) and firmware though, you can use the AIO-switch-updater for that.

Do you know if DBI is compatible with FW 9.0.1? Also, I'm going to try out Goldleaf as well.
 

MasterJ360

Well-Known Member
Member
Joined
Jan 10, 2016
Messages
2,334
Trophies
1
Age
32
XP
2,364
Country
United States
Do you know if DBI is compatible with FW 9.0.1? Also, I'm going to try out Goldleaf as well.
I dont know what DBI is. Goldleaf is all you need when it comes deleting tickets/getting rid of content entirely, its just more user friendly than the others that require you to squint your eyes looking at a list of title ID's
Make sure you have the latest godleaf, V.05 was dated back in 2018. if the game is still asking you to update then your not deleting its ticket your probably just deleting the update.
 
Last edited by MasterJ360,

Rewinding

Member
OP
Newcomer
Joined
Sep 5, 2021
Messages
12
Trophies
0
Age
31
XP
9
Country
United States
I dont know what DBI is. Goldleaf is all you need when it comes deleting tickets/getting rid of content entirely, its just more user friendly than the others that require you to squint your eyes looking at a list of title ID's
Make sure you have the latest godleaf, V.05 was dated back in 2018. if the game is still asking you to update then your not deleting its ticket your probably just deleting the update.

Should I have the game installed on the Switch when I delete the ticket or should I delete the game first, and then delete the ticket?
 

MasterJ360

Well-Known Member
Member
Joined
Jan 10, 2016
Messages
2,334
Trophies
1
Age
32
XP
2,364
Country
United States
Should I have the game installed on the Switch when I delete the ticket or should I delete the game first, and then delete the ticket?
the ticket will still be there even if you deleted the game or update. But yes have the game/update installed then delete it along with the ticket it should give you an option to delete the ticket.

The update you installed in the 1st place most likely requires your switch to be updated and now your getting this game update nag when trying to play the game. Its a pretty common issue to those on low firmwares. You need to install that same update first then delete it along with its ticket via goldleaf
Or just update your switch and use the latest atmosphere/sigpatches
 
Last edited by MasterJ360,
  • Like
Reactions: Rewinding

Rewinding

Member
OP
Newcomer
Joined
Sep 5, 2021
Messages
12
Trophies
0
Age
31
XP
9
Country
United States
the ticket will still be there even if you deleted the game or update. But yes have the game/update installed then delete it along with the ticket it should give you an option to delete the ticket.

The update you installed in the 1st place most likely requires your switch to be updated and now your getting this game update nag when trying to play the game. Its a pretty common issue to those on low firmwares. You need to install that same update first then delete it along with its ticket via goldleaf
Or just update your switch and use the latest atmosphere/sigpatches

Thanks, I was able to play the game again. Btw, I have another question. The Switch has Choidujournx installed, can I use that to update my FW? Do I need to update Atmos first or update the FW first? Do you recommend Choidujournx?
 
  • Like
Reactions: MasterJ360
General chit-chat
Help Users
    KennieDaMeanie @ KennieDaMeanie: https://youtu.be/dvgZs3sUM5Y